VERSION 4.00
Begin VB.Form Form1
   BackColor       =   &H00FFFFFF&
   Caption         =   "Example FGIW5"
   ClientHeight    =   4140
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4545
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

'*****************************************************************************
'                                                                            *
'  FGIW5.FRM                                                                 *
'                                                                            *
'  Demonstrate how to retrieve other types of files from an FGI library.     *
'                                                                            *
'*****************************************************************************

Dim hPal As Long
Dim hvb As Long, hfgi As Long
Dim cxClient As Long, cyClient As Long
Dim Bitmap(1680) As Byte

Private Sub Form_Activate()
   Call fg_realize(hPal)
   Refresh
End Sub

Private Sub Form_Load()
   ScaleMode = 3
   Call fg_setdc(hDC)
   hPal = fg_defpal()
   Call fg_realize(hPal)

   Call fg_vbinit
   hvb = fg_vballoc(320, 200)
   Call fg_vbopen(hvb)
   Call fg_vbcolors

   hfgi = fgi_open("EXAMPLE.FGI")
   If hfgi = 0 Then
      Call MsgBox("Unable to open FGI file.", vbCritical, "Error")
      Unload Me
      Exit Sub
   End If
   Call fg_move(0, 199)
   Call fgi_showspr("CORAL.SPR", hfgi)
   Call fg_move(132, 100)
   Call fgi_read("FISH.MAP", Bitmap(0), hfgi)
   Call fg_drwimage(Bitmap(0), 56, 30)
   Call fgi_close(hfgi)
End Sub

Private Sub Form_Paint()
   Call fg_vbscale(0, fg_getmaxx(), 0, fg_getmaxy(), 0, cxClient - 1, 0, cyClient - 1)
End Sub

Private Sub Form_Resize()
   cxClient = ScaleWidth
   cyClient = ScaleHeight
   Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call fg_vbclose
   Call fg_vbfree(hvb)
   Call fg_vbfin
End Sub
